
CREATE TABLE `posts` (
  `id` int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `content` text NOT NULL,
  `link` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


INSERT INTO `posts` (`id`, `title`, `content`, `link`) VALUES
(1, 'Storing Data Locally in a PhoneGap App with SQLite', 'Data storing is a basic requirement while creating an application.\n\nIt is possible to store data online but the app needs to be online whenever data processing is required.\n\nFor local data storage use SQLite database which is already embedded on the mobile platforms - Android, IOS, Windows, Blackberry, etc.\n\nThe Cordova plugin provides support to access SQLite database in the app.\n\nIn this tutorial, I am creating an Android app where use SQLite database to save and retrieve records. Deploy the application with PhoneGap Build.', 'https://makitweb.com/storing-data-locally-in-a-phonegap-app-with-sqlite/'),
(2, 'jQuery UI autocomplete with PHP and AJAX', 'The autocomplete functionality shows the suggestion list according to the entered value. The user can select a value from the list.\n\nWith jQuery UI you can easily add autocomplete widget on the input element. Navigate to the suggestion list either by mouse or keyboard arrow keys.\n\nIt has the various options that allow us to customize the widget.', 'https://makitweb.com/jquery-ui-autocomplete-with-php-and-ajax/'),
(3, 'Add plugin to the Android app - PhoneGap', 'You cannot directly access the system feature in your PhoneGap app to extend its functionality.\n\nPhoneGap provide various plugins that allow accessing features like - camera, geolocation, contacts, battery status etc.', 'https://makitweb.com/add-plugin-to-the-android-app-phonegap/'),
(4, 'Insert record to Database Table - Codeigniter', 'All logical operation and database handling done in the Models like insert, update or fetch records.\n\nCodeigniter has predefined Database methods to perform database request.\n\nIn the demonstration, with View show the HTML form and when the user submits the forms then call the Model method to insert record from the controller.', 'https://makitweb.com/insert-record-to-database-table-codeigniter/'),
(5, 'How to install and setup Codeigniter', 'Codeigniter is a lightweight PHP-based framework to develop the web application. It is based on MVC (Model View Controller) pattern.\n', 'https://makitweb.com/how-to-install-and-setup-codeigniter/'),
(6, 'Add tooltip to the element with Bootstrap', 'Bootstrap provides dozens of custom plugins that helps to create better UI. With this, you can easily add tooltip to the HTML elements.\n\nA tooltip will appear when the user moves the mouse pointer over the element e.g. link, buttons, etc. This gives hint or quick information to the user.', 'https://makitweb.com/add-tooltip-to-the-element-with-bootstrap/'),
(7, 'Make android app with PhoneGap Build', 'PhoneGap is a framework that use to build mobile applications for multiple platforms - Android, iOS, Windows Phone, Blackberry etc.\n\nWith HTML, CSS, and JavaScript you can build an application.\n\nYou don''t have to require to re-write code for other platforms.', 'https://makitweb.com/make-android-app-with-phonegap-build/'),
(8, 'How to handle AJAX request on the same page - PHP', 'AJAX is use to communicate with the server to perform the action without the need to refresh the page.\n\nYou can either handle AJAX requests on the same page or on the separate page.', 'https://makitweb.com/how-to-handle-ajax-request-on-the-same-page-php/'),
(9, 'Automatic page load progress bar with Pace.js', 'The pace.js is an automatic page load progress bar. You don''t need to write any code to initialize the script during page load.\n\nIt is easy to implement and not dependent on any other external JavaScript libraries.', 'https://makitweb.com/automatic-page-load-progress-bar-with-pace-js/'),
(10, 'Remove unwanted whitespace from the column - MySQL', 'There is always the possibility that the users may not enter the values as we expected and the data is being saved on the Database table. E.g. unwanted whitespace or characters with the value.\n\nYou will see the issue when you check for duplicate records or sort the list.', 'https://makitweb.com/remove-unwanted-white-space-from-the-column-mysql/'),
(11, 'How to capture picture from webcam with Webcam.js', 'Webcam.js is a JavaScript library that allows us to capture picture from the webcam.\n\nIt uses HTML5 getUserMedia API to capture the picture. Flash is only used if the browser doesn''t support getUserMedia.', 'https://makitweb.com/how-to-capture-picture-from-webcam-with-webcam-js/'),
(12, 'Make Price Range Slider with AngularJS and PHP', 'Most of the eCommerce sites e.g. Flipkart, Snapdeal, etc have a price range slider for searching purpose.\n\nThe user doesn''t have to enter price range manually.', 'https://makitweb.com/make-price-range-slider-with-angularjs-and-php/'),
(13, 'Create alphabetical pagination with PHP MySQL', 'The alphabetical pagination searches the records according to the first character in a specific column.\n\nYou can either manually fix the characters from A-Z or use the database table column value to create the list.', 'https://makitweb.com/create-alphabetical-pagination-with-php-mysql/'),
(14, 'Check if username exists with AngularJS', 'It is always a better idea to check the entered username exists or not if you are allowing the users to choose username while registration and wants it to be unique.\n\nWith this, the user will instantly know that their chosen username is available or not.', 'https://makitweb.com/check-if-username-exists-with-angularjs/'),
(15, 'How to avoid jQuery conflict with other JS libraries', 'By default, jQuery uses $ as an alias for jQuery because of this reason sometimes it conflicts with other JS libraries if they are also using $ as a function or variable name.', 'https://makitweb.com/how-to-avoid-jquery-conflict-with-other-js-libraries/'),
(16, 'Check if element has certain Class - jQuery', 'jQuery has inbuilt methods that allow searching for the certain class within the element.\n\nBy using them you can easily check class on the selector and perform the action according to the response.', 'https://makitweb.com/check-if-element-has-certain-class-jquery/'),
(17, 'How to show Weather widget on the Website', 'There are many sites which offer free weather widget for the website. That are easy to embed.\n\nYou only need to specify some of the mandatory fields for generating the code.', 'https://makitweb.com/how-to-show-weather-widget-on-the-website/'),
(18, 'Convert Unix timestamp to Date time with JavaScript', 'The Unix timestamp value conversion with JavaScript mainly requires when the API request response contains the date time value in Unix format and requires to show it on the screen in user readable form.', 'https://makitweb.com/convert-unix-timestamp-to-date-time-with-javascript/'),
(19, 'Make Carousel slider with Siema plugin - JavaScript', 'The Siema is a lightweight JavaScript plugin that adds carousel slider on the page. It is not dependent on any other plugins and not require to do any styling.\n\nIt is easy to setup on the page.', 'https://makitweb.com/make-carousel-slider-with-siema-plugin-javascript/'),
(20, 'Create autocomplete search with AngularJS and PHP', 'The autocomplete functionality gives the user suggestions based on its input. From there, it can select an option.\n\nIn the demonstration, I am creating a search box and display suggestion list whenever the user input value in the search box.', 'https://makitweb.com/create-autocomplete-search-with-angularjs-and-php/');
